Endpoints
Create Chat Completion
Send a message to an AI agent and receive a synthesized response.
POST
/
v1
/
chat
Create Chat Completion
curl --request POST \
--url https://api.leadblanc.com/v1/chat \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"message": "<string>",
"conversation_id": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"stream": true
}
'import requests
url = "https://api.leadblanc.com/v1/chat"
payload = {
"message": "<string>",
"conversation_id": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"stream": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
message: '<string>',
conversation_id: '<string>',
customer: {name: '<string>', email: '<string>', phone: '<string>'},
stream: true
})
};
fetch('https://api.leadblanc.com/v1/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadblanc.com/v1/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => '<string>',
'conversation_id' => '<string>',
'customer' => [
'name' => '<string>',
'email' => '<string>',
'phone' => '<string>'
],
'stream' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadblanc.com/v1/chat"
payload := strings.NewReader("{\n \"message\": \"<string>\",\n \"conversation_id\": \"<string>\",\n \"customer\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n },\n \"stream\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.leadblanc.com/v1/chat")
.header("Authorization", "<authorization>")
.header("Content-Type", "<content-type>")
.body("{\n \"message\": \"<string>\",\n \"conversation_id\": \"<string>\",\n \"customer\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n },\n \"stream\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.leadblanc.com/v1/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = '<content-type>'
request.body = "{\n \"message\": \"<string>\",\n \"conversation_id\": \"<string>\",\n \"customer\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n },\n \"stream\": true\n}"
response = http.request(request)
puts response.read_bodyGenerate an intelligent conversational reply using your trained workspace agent.
Headers
Body Parameters
Response
{
"status": "success",
"data": {
"message_id": "msg_01JB8392",
"conversation_id": "conv_98231",
"reply": "Yes, our flagship wool blanket is crafted from 100% ethically sourced merino wool.",
"agent_name": "Leadblanc Commerce Assistant",
"sources_referenced": [
{
"title": "Merino Wool Blanket Care & Specifications",
"url": "https://brand.com/products/merino-blanket"
}
],
"created_at": "2026-11-14T07:50:00Z"
}
}
⌘I
Create Chat Completion
curl --request POST \
--url https://api.leadblanc.com/v1/chat \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"message": "<string>",
"conversation_id": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"stream": true
}
'import requests
url = "https://api.leadblanc.com/v1/chat"
payload = {
"message": "<string>",
"conversation_id": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"stream": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
message: '<string>',
conversation_id: '<string>',
customer: {name: '<string>', email: '<string>', phone: '<string>'},
stream: true
})
};
fetch('https://api.leadblanc.com/v1/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadblanc.com/v1/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => '<string>',
'conversation_id' => '<string>',
'customer' => [
'name' => '<string>',
'email' => '<string>',
'phone' => '<string>'
],
'stream' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadblanc.com/v1/chat"
payload := strings.NewReader("{\n \"message\": \"<string>\",\n \"conversation_id\": \"<string>\",\n \"customer\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n },\n \"stream\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.leadblanc.com/v1/chat")
.header("Authorization", "<authorization>")
.header("Content-Type", "<content-type>")
.body("{\n \"message\": \"<string>\",\n \"conversation_id\": \"<string>\",\n \"customer\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n },\n \"stream\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.leadblanc.com/v1/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = '<content-type>'
request.body = "{\n \"message\": \"<string>\",\n \"conversation_id\": \"<string>\",\n \"customer\": {\n \"name\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n },\n \"stream\": true\n}"
response = http.request(request)
puts response.read_body